import React from "react";
import styles from "./input.module.scss";

export type NewsletterProps = {
  buttonText: string;
} & React.InputHTMLAttributes<HTMLInputElement>;

export function Input({ buttonText, ...rest }: NewsletterProps) {
  return (
    <div className={styles.inputContainer}>
      <input {...rest} className={styles.inputText}></input>
      <button className={styles.button} type="submit">
        {buttonText}
      </button>
    </div>
  );
}
